import { storiesOf } from '@storybook/angular';

import {
  array,
  className,
  enumName,
  formatting,
  interfaceName,
  namespaceName,
  nullVsUndefined,
  typesName,
  typesVsInterfaces,
  variableAndFunction
} from './typescript';

export const storiesTypescript = storiesOf('TYPESCRIPT GUIDELINES', module)
  .add('VARIABLE AND FUNCTION', () => ({ template: variableAndFunction }))
  .add('CLASS', () => ({ template: className }))
  .add('INTERFACE', () => ({ template: interfaceName }))
  .add('TYPE', () => ({ template: typesName }))
  .add('NAMESPACE', () => ({ template: namespaceName }))
  .add('ENUM', () => ({ template: enumName }))
  .add('NULL VS UNDEFINED', () => ({ template: nullVsUndefined }))
  .add('FORMATTING', () => ({ template: formatting }))
  .add('ARRAY', () => ({ template: array }))
  .add('TYPE VS INTERFACE', () => ({ template: typesVsInterfaces }));
